#include <stdio.h>
#include "module.h"
#define AUTHOR "Certus"
#define VERSION "1.5"

//#define NETHOST "eXolia.net" 
#define NETHOSTT "eXolia.net" 
/* DON'T CHANGE ANY OF THE LINES BELOW, UNLESS YOU REALLY KNOW WHAT YOU DO */


int set_netvhost(User *u);

void AnopeInit(void) {

	Command *c;
	c=createCommand("register",set_netvhost,NULL,-1,-1,-1,-1,-1);
	alog("Loading module hs_nethost.so [Status: %d]",moduleAddCommand(NICKSERV,c,MOD_TAIL));
	c=createCommand("group",set_netvhost,NULL,-1,-1,-1,-1,-1);
	moduleAddCommand(NICKSERV,c,MOD_TAIL);
#ifndef NETHOST
	if (NETHOSTT)
	alog("Network vHost: Pseudo.%s", NETHOSTT);
#else
	alog("Network vHost: Pseudo.%s", NETHOST);
#endif
}

void AnopeFini(void) {
	alog("Unloading module hs_nethost.so");
}


int set_netvhost(User *u)
{
	int32 tmp_time;
	char *vIdent = NULL;
	char *networkhost=NULL;
	int len = 0;
	tmp_time = time(NULL);

	if (!nick_identified(u))
		return MOD_CONT;

#ifndef NETHOST
		if(NETHOSTT) {
			len = strlen(NETHOSTT);
			len += strlen(u->nick);
			if((networkhost = malloc(sizeof(char)*len+3))!=NULL) {
				strcpy(networkhost,u->nick);
				strcat(networkhost,".");
				strcat(networkhost,NETHOSTT);
			} else {
				return MOD_CONT;
			}
		} else {
			return MOD_CONT;
		}
#else
	networkhost = sstrdup(NETHOST);
#endif

	if (!isValidHost(networkhost, 3)) {
        notice(s_HostServ, u->nick, "Votre pseudo n'est pas valide pour une vhost automatique, Celle ci ne sera pas active.");
        return MOD_CONT;
    }
        addHostCore(u->nick, vIdent, networkhost, u->nick, tmp_time);
        notice_lang(s_HostServ, u, HOST_SET, u->nick, networkhost);
		do_on_id(u);
	return MOD_CONT;
}

